summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mohammad Etemaddar <mohammad.etemaddar@gmail.com>2017-06-09 00:26:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-06-09 00:27:29 +0700
commitfd6695127bf30591955314ff4d563f6306e4a2b4 (patch)
tree7728611c8bf677c74a56e68bc1da2f581483ea68
parent9153662747c88c6fea1bff4df12ecea8cebeafd8 (diff)
downloadslackbuilds-fd6695127bf30591955314ff4d563f6306e4a2b4.tar.gz
slackbuilds-fd6695127bf30591955314ff4d563f6306e4a2b4.tar.xz
development/atom-amd64: Added (A hackable text editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/atom-amd64/README9
-rw-r--r--development/atom-amd64/atom-amd64.SlackBuild78
-rw-r--r--development/atom-amd64/atom-amd64.desktop10
-rw-r--r--development/atom-amd64/atom-amd64.info10
-rw-r--r--development/atom-amd64/atom-amd64.pngbin0 -> 195974 bytes
-rw-r--r--development/atom-amd64/doinst.sh3
-rw-r--r--development/atom-amd64/slack-desc19
7 files changed, 129 insertions, 0 deletions
diff --git a/development/atom-amd64/README b/development/atom-amd64/README
new file mode 100644
index 0000000000..1908bc9eee
--- /dev/null
+++ b/development/atom-amd64/README
@@ -0,0 +1,9 @@
+Atom (amd64)
+
+Atom is a hackable text editor for the 21st century, built on Electron,
+and based on everything we love about our favorite editors.
+
+It's designed to be deeply customizable, but still approachable using
+the default configuration.
+
+This is a precompiled version of Atom.
diff --git a/development/atom-amd64/atom-amd64.SlackBuild b/development/atom-amd64/atom-amd64.SlackBuild
new file mode 100644
index 0000000000..80f47d10ab
--- /dev/null
+++ b/development/atom-amd64/atom-amd64.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for Atom
+
+# Mohammad Etemaddar mohammad.etemaddar@gmail.com
+# 2017 Iran
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=atom-amd64
+SRCNAM=atom-amd64
+VERSION=${VERSION:-1.17.2}
+SRCDIR=atom-$VERSION-amd64
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=x86_64
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCDIR
+tar xvf $CWD/$SRCNAM.tar.gz
+cd $SRCDIR
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+ln -sf /opt/$PRGNAM/atom $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/atom-amd64/atom-amd64.desktop b/development/atom-amd64/atom-amd64.desktop
new file mode 100644
index 0000000000..d70f56db6c
--- /dev/null
+++ b/development/atom-amd64/atom-amd64.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Atom
+GenericName=Editor
+Comment=Atom Editor
+Icon=atom
+Exec=atom
+TryExec=atom
+Terminal=false
+Type=Application
+Categories=Development;
diff --git a/development/atom-amd64/atom-amd64.info b/development/atom-amd64/atom-amd64.info
new file mode 100644
index 0000000000..822aa2fd86
--- /dev/null
+++ b/development/atom-amd64/atom-amd64.info
@@ -0,0 +1,10 @@
+PRGNAM="atom-amd64"
+VERSION="1.17.2"
+HOMEPAGE="https://atom.io/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/atom/atom/releases/download/v1.17.2/atom-amd64.tar.gz"
+MD5SUM_x86_64="32306f4222c021bb47403b1c76c8d989"
+REQUIRES=""
+MAINTAINER="Mohammad Etemaddar"
+EMAIL="mohammad.etemaddar@gmail.com"
diff --git a/development/atom-amd64/atom-amd64.png b/development/atom-amd64/atom-amd64.png
new file mode 100644
index 0000000000..418ea50b5c
--- /dev/null
+++ b/development/atom-amd64/atom-amd64.png
Binary files differ
diff --git a/development/atom-amd64/doinst.sh b/development/atom-amd64/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/atom-amd64/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/atom-amd64/slack-desc b/development/atom-amd64/slack-desc
new file mode 100644
index 0000000000..13bcff936d
--- /dev/null
+++ b/development/atom-amd64/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+atom-amd64: Atom (A hackable text editor)
+atom-amd64: for the 21st Century
+atom-amd64:
+atom-amd64: Atom is a text editor that's modern, approachable, yet hackable to
+atom-amd64: the core—a tool you can customize to do anything but also use
+atom-amd64: productively without ever touching a config file.
+atom-amd64:
+atom-amd64: https://atom.io/
+atom-amd64:
+atom-amd64:
+atom-amd64: